// VARIABLE DECLARATION SECTION

// include the library for using the LCD screen and initialise the LCD screen
#include <LiquidCrystal.h>
LiquidCrystal lcd(6, 7, 8, 2, 3, 4, 5);

int buttonPin1 = 14;    // the number of the pushbutton pin
int buttonPin2 = 15;    // the number of the pushbutton pin

int button1State = HIGH;         // variable for reading the pushbutton1 status
int button2State = HIGH;         // variable for reading the pushbutton2 status

// SETUP SECTION
void setup() {
  // initialize the pushbutton pins:
  digitalWrite(buttonPin1, HIGH);
  digitalWrite(buttonPin2, HIGH);
}

// LOOP SECTION
void loop() {
  button1State = digitalRead(buttonPin1);
  button2State = digitalRead(buttonPin2);
    
  // 4c Step 2. MOVE THE CURSOR
  lcd.setCursor(0,0);
  
  if ((button1State == LOW) && (button2State == LOW)){
    lcd.print("BOTH!");
  }
  // 4c Step 3. WRITE YOUR IF STATEMENT HERE
  else if (button1State == LOW){
    lcd.print("Left");
  }
  // 4c Step 5.  WRITE YOUR ELSE STATEMENT HERE
  else if (button2State == LOW){
    lcd.print("Right");
  }
  // 4c Step 4.  WRITE YOUR ELSE STATEMENT HERE
  else{
    lcd.clear();
  }
}  
