// VARIABLE DECLARATION SECTION

// include the library for using the LCD screen:
#include <LiquidCrystal.h>
// initialize the library with the numbers of the LCD interface pins
LiquidCrystal lcd(6, 7, 8, 2, 3, 4, 5);

// set pin numbers:
int buttonPin = 14;     // the number of the pushbutton pin
int ledPin =  13;      // the number of the LED pin

// 4a Step 2. CREATE BUTTON STATE HERE
int buttonState = HIGH;

// SETUP SECTION
void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);      
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);     
  digitalWrite(buttonPin, HIGH);
}

// LOOP SECTION
void loop(){
  // 4a Step 3. UPDATE BUTTON STATE HERE
  buttonState = digitalRead(buttonPin);

  // check if the pushbutton is pressed.
  // if it is, the buttonState is LOW:
  if (buttonState == LOW) {     
    // 4a Step 4. TURN LED ON HERE:    
   digitalWrite(ledPin, HIGH);
  } 
  else {
    // turn LED off:
    digitalWrite(ledPin, LOW); 
  }
  

}
