#include "pitches.h"             // This adds code from a file that defines all the notes by their pitches

const int piezoBuzzerPin = 9;    // the number of the piezo buzzer pin
const int buttonLeftPin = 14;    // the number of the left pushbutton pin

const int noteDuration = 500;    // the number of milliseconds to play the note for

int buttonLeftState = 0;         // variable for reading the left pushbutton status

void setup() {
  // initialize the pushbutton pins:
  digitalWrite(buttonLeftPin, HIGH);
}

void loop() {
  // read the state of the pushbutton values:
  buttonLeftState = digitalRead(buttonLeftPin);

  // Check if the left button is pushed
  if (buttonLeftState == LOW) {
    // play a happy tune
    tone(piezoBuzzerPin, NOTE_D3, noteDuration);
    delay(noteDuration);
  }
}
